import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { InfoComponent } from './info/info.component';
import { ProtocolsComponent } from './protocols/protocols.component';
import { WfHistoryComponent } from './wf-history/wf-history.component';
import { ResourcesComponent } from './resources/resources.component';

const routes: Routes = [
  { path:"info"                   , component:InfoComponent},
  { path:"adv_resources/protocol" , component:ProtocolsComponent},
  { path:"wf_history"             , component:WfHistoryComponent},
  { path:"resources/:type"        , component:ResourcesComponent}
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule { }
