package eu.dnetlib.is.context;

import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.fasterxml.jackson.databind.node.ObjectNode;

import eu.dnetlib.is.errors.InformationServiceException;

@RestController
@RequestMapping("/api/contexts")
public class ContextApiController extends AbstractContextController {

	@GetMapping("/{ctxId}")
	public ObjectNode getContextFull(@PathVariable final String ctxId) throws InformationServiceException {
		return contextService.getContextFull(ctxId);
	}

}
